Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • northis Friend
    #931117

    Hi All

    I am getting the following error on my contacts page: 0 – Call to undefined method JFormFieldSpacer::renderField()

    The same is stated in this link, but there was no fix:
    https://www.joomlart.com/forums/topic/contact-page-error-after-joomla-3-5-update/
    Henning had the same problem:
    https://www.joomlart.com/forums/topic/contact-page-not-working-after-joomla-updtate/

    When I moved it to a live server, the php settings had the error report set to yes, it also gave me this error but also stated that the problem is in: component/com_contact/views/contact/tmpl/default_form.php:44

    That line states: <?php echo $field->renderField(); ?>

    What could be wrong here? When I disable the contact form all the other contact detail display correct. When I enable it, it removes my template styling, display all other contact detail and gives me the error above.

    I am currently running Joomla 3.5.1 and php 5.6.21 – mamp used php 7, but same problem.

    Thanks in advance

    pavit Moderator
    #931174

    Hi

    This seems to be an issue related to a wrong Joomla update

    Try to take a look at the Joomla forum and to the solutions suggested HERE

    northis Friend
    #931179

    Hi Pavit

    Thanks for the reply.
    I have however, before posting here, googled the problem and tried the other upgrade/install methods. I believe it was method C, they recommended. That resulted in even more breakage, including the contact form.

    So I ran the Joomla updater under components and the gradually updated and fixed all of the dozen+ broken extensions, css, paths, etc. I now have everything, including sobipro, running happy and up to date. Everything but the contact form. BTW, the JA update manager was extremely helpful with its role back function!

    Like I stated in the first message, there are two Joomlart members that have reported the same problem. Henning was told that the template is not 3.5.1 ready, the other also did not get a solution. On google and Joomla Forum there are even more. Everyone gets forced to use third party plugins and with all of them it is related to the template they use – since one of the first tests is to change your template to protostar, and it works on protostar.

    Maybe using a third party extension is my best choice, but I don’t like things to be broken.

    Thanks for trying to help, it is much appreciated.

Viewing 3 posts - 1 through 3 (of 3 total)

This topic contains 2 replies, has 2 voices, and was last updated by  northis 8 years, 1 month ago.

We moved to new unified forum. Please post all new support queries in our New Forum